<template>
  <div>
      <section class="absolute w-full h-full">
        <div
          class="absolute top-0 w-full h-full bg-gray-900"
          style="background-size: 100%; background-repeat: no-repeat;"
          :style="{'background-image': 'url(' + require('/assets/img/register_bg_2.png') + ')'}"
        ></div>
        <div class="container mx-auto px-4 h-full">
          <div class="flex content-center items-center justify-center h-full">
            <div class="w-full lg:w-4/12 px-4">
              <div
                class="relative flex flex-col min-w-0 break-words w-full mb-6 shadow-lg rounded-lg bg-gray-100 border-0"
              >
                <div class="rounded-t mb-0 px-6 py-6">
                  <div class="text-center mb-3">
                    <h2 class="text-gray-900 font-bold">
                     {{title}}
                    </h2>
                  </div>
                </div>
                <div class="flex-auto px-4 lg:px-10 py-10 pt-0">             
               <slot></slot>
              </div>
            </div>
          </div>
          </div>
        </div>
      </section>
  </div>
</template>


<script>
export default {
    props: { 
        title: {
            type: String,
            default: null
        }
    }
}
</script>